Bug 142645 - Remove perl dependency from packaging
Remove perl dependency from packaging
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 07:49 EST by Loïc Péron
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.23-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 15:42:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Loïc Péron 2004-12-11 07:49:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Installing samba server requires perl, whereas it is not really needed
to propoer funtionning of samba. Only supplemental scripts in examples
and doc directories use perl, but those are not needed for basic samba
use.

Use of these scripts is not automated, and users can install perl if
needed to use these scripts.


Version-Release number of selected component (if applicable):
samba-3.0.8-0.pre1.3 samba-3.0.9-1.fc3

How reproducible:
Always

Steps to Reproduce:
1. Have a system without perl and without samba
2. yum install samba
3. See long list of required packages
    

Actual Results:  Perl required to install samba

Expected Results:  Perl not present in any form in samba dependencies

Additional info:

My use case is a little firewall where perl is not needed, furthermore
when its dependencies include apache httpd and more.
Comment 1 Matthew Miller 2006-07-10 19:10:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-11 15:42:12 EST
Fixed as of 3.0.23-2.  From the spec file:
"* Tue Jul 11 2006 Jay Fenlason <fenlason@redhat.com> 3.0.23-2
- New upstream release.
- Use modified filter-requires-samba.sh from packaging/RHEL/setup/
  to get rid of bogus dependency on perl(Unicode::MapUTF8)"

Also see the fix from 3.0.11-4:
"* Thu Feb 24 2005 Jay Fenlason <fenlason@redhat.com> 3.0.11-4
- Use the updated filter-requires-samba.sh file, so we don't accidentally
  pick up a dependency on perl(Crypt::SmbHash)"

Note You need to log in before you can comment on or make changes to this bug.